From: meyering@sourceware.org <meyering@sourceware.org>
To: lvm-devel@redhat.com
Subject: LVM2/test t-000-basic.sh
Date: 5 Dec 2007 09:49:08 -0000 [thread overview]
Message-ID: <20071205094908.25773.qmail@sourceware.org> (raw)
CVSROOT: /cvs/lvm2
Module name: LVM2
Changes by: meyering at sourceware.org 2007-12-05 09:49:08
Modified files:
test : t-000-basic.sh
Log message:
Avoid spurious test failure when compiled with readline support.
* test/t-000-basic.sh: Invoke initial test of lvm with its "version"
argument, so that the behavior of the tool doesn't depend on whether
readline was enabled at configure time.
Author: Jun'ichi Nomura <j-nomura@ce.jp.nec.com>
Committer: Jim Meyering <meyering@redhat.com>
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-000-basic.sh.diff?cvsroot=lvm2&r1=1.1&r2=1.2
--- LVM2/test/t-000-basic.sh 2007/09/21 17:12:13 1.1
+++ LVM2/test/t-000-basic.sh 2007/12/05 09:49:08 1.2
@@ -13,8 +13,8 @@
. ./test-lib.sh
-lvm >/dev/null 2>&1
-if test $? != 3; then
+lvm version >/dev/null 2>&1
+if test $? != 0; then
echo >&2 'You do not seem to have built lvm yet.'
exit 1
fi
next reply other threads:[~2007-12-05 9:49 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2007-12-05 9:49 meyering [this message]
-- strict thread matches above, loose matches on Subject: below --
2009-07-13 12:42 LVM2/test t-000-basic.sh mornfall
2010-04-20 15:19 wysochanski
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20071205094908.25773.qmail@sourceware.org \
--to=meyering@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.